Skip to content
Developer

StudioTraining / StudioTrainingMeasurement

Studio training6 EndpointsCRM / StudioTraining / StudioTrainingMeasurement

Returns a list of StudioTrainingMeasurement objects

GET/api/crm/studio_training/measurement

Query parameters

idstring
deletedbooleanThis property is used to mark an entity as deleted / archived | Default value: false
trainingPersonDatastring
presetstringPreset the measurement belongs to, used for strength test values
measuredAtstring
measurementTypestringOne of the TYPE_* constants
sourcestringOne of the SOURCE_* constants
searchStringstringtext to search for in the list
orderFieldNamestringname of the order field
orderFieldSortstringsorting modeAllowed: DESCASC
pageintegerpage of the list
pageSizeintegernumber of entries for each page
withMaxPageNumberstringreturns the number of pages available as a header if this is set

Responses

200Returns a list of StudioTrainingMeasurement objectsarray<StudioTrainingMeasurement>

Show fields (14)
  • idinteger

    Primary key of the training measurement. Internal ID.

  • training_person_dataStudioTrainingPersonData2

    Training data of the person measured.

    Show fields (7)
    • idinteger

      Primary key of the training person data. Internal ID.

    • personCRMPerson10

      Person the training data belongs to.

    • personal_trainerCRMPerson10

      Personal trainer of the person.

    • weightnumber (float)

      Body weight of the person.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

  • presetStudioTrainingPreset

    Preset the measurement belongs to, used for strength test values

    Show fields (25)
    • idinteger

      Primary key of the training preset. Internal ID.

    • namestring

      Name of the exercise.

    • descriptionstring

      Description of the exercise.

    • imageAttachment10

      Image of the exercise.

    • videoAttachment10

      Video of the exercise.

    • durationinteger

      Typical duration of the exercise in seconds.

    • muscle_groupsarray<StudioTrainingMuscleGroup>

      Primarily trained muscle groups

    • secondary_muscle_groupsarray<StudioTrainingMuscleGroup>

      Secondarily trained muscle groups

    • exercise_typestring

      Category of the exercise, e.g. strength, cardio, mobility, rehab

    • equipmentstring

      Required equipment as free text, e.g. barbell, cable machine, bodyweight

    • execution_notesstring

      Execution cues and safety notes for the member

    • default_setsinteger

      Default prescription proposed when the preset is added to a plan

    • default_repetitionsinteger

      Default number of repetitions.

    • default_rest_secondsinteger

      Default rest time in seconds.

    • content_sourcestring

      One of the CONTENT_SOURCE_* constants

    • content_source_namestring

      Name of the catalogue the entry was seeded from, e.g. wger

    • licensestring

      Licence of the imported content, e.g. CC-BY-SA 4.0

    • license_authorstring

      Author that has to be named to fulfil the licence attribution

    • license_author_urlstring

      Link to the author of the image or video license.

    • review_statusstring

      One of the REVIEW_STATUS_* constants, used to keep generated or imported exercise instructions under human control before they are published

    • reviewed_atstring (date-time)

      Time the exercise was reviewed.

    • reviewed_bystring

      Name of the reviewer.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

  • measured_atstring (date-time)

    Time of the measurement.

  • measurement_typestring

    One of the TYPE_* constants

  • valuenumber (float)

    Measured value.

  • unitstring

    Unit of the measured value.

  • body_sitestring

    Body site for girth measurements, e.g. waist, hip, chest

  • sourcestring

    One of the SOURCE_* constants

  • source_devicestring

    Name of the measuring device or provider, e.g. InBody 970, seca mBCA

  • notesstring

    Notes on the measurement.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/crm/studio_training/measurement \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
[
  {
    "id": 42,
    "training_person_data": {
      "id": 42,
      "weight": 1.5,
      "created": "2026-10-15T09:30:00+02:00",
      "updated": "2026-10-15T09:30:00+02:00",
      "deleted": true
    },
    "preset": {
      "id": 42,
      "name": "Beispiel",
      "description": "Text",
      "content_source_name": "Beispiel",
      "license_author_url": "https://vynst.de",
      "duration": 1,
      "exercise_type": "string",
      "equipment": "string",
      "execution_notes": "string",
      "default_sets": 1
    },
    "measured_at": "2026-10-15T09:30:00+02:00",
    "measurement_type": "string",
    "value": 1.5,
    "unit": "string",
    "body_site": "string",
    "source": "string",
    "source_device": "string"
  }
]

Create a single StudioTrainingMeasurement

POST/api/crm/studio_training/measurement

Request body application/json

  • dataStudioTrainingMeasurement
    Show fields (14)
    • idinteger

      Primary key of the training measurement. Internal ID.

    • training_person_dataStudioTrainingPersonData2

      Training data of the person measured.

    • presetStudioTrainingPreset

      Preset the measurement belongs to, used for strength test values

    • measured_atstring (date-time)

      Time of the measurement.

    • measurement_typestring

      One of the TYPE_* constants

    • valuenumber (float)

      Measured value.

    • unitstring

      Unit of the measured value.

    • body_sitestring

      Body site for girth measurements, e.g. waist, hip, chest

    • sourcestring

      One of the SOURCE_* constants

    • source_devicestring

      Name of the measuring device or provider, e.g. InBody 970, seca mBCA

    • notesstring

      Notes on the measurement.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

Responses

200Create a single StudioTrainingMeasurementStudioTrainingMeasurement

Show fields (14)
  • idinteger

    Primary key of the training measurement. Internal ID.

  • training_person_dataStudioTrainingPersonData2

    Training data of the person measured.

    Show fields (7)
    • idinteger

      Primary key of the training person data. Internal ID.

    • personCRMPerson10

      Person the training data belongs to.

    • personal_trainerCRMPerson10

      Personal trainer of the person.

    • weightnumber (float)

      Body weight of the person.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

  • presetStudioTrainingPreset

    Preset the measurement belongs to, used for strength test values

    Show fields (25)
    • idinteger

      Primary key of the training preset. Internal ID.

    • namestring

      Name of the exercise.

    • descriptionstring

      Description of the exercise.

    • imageAttachment10

      Image of the exercise.

    • videoAttachment10

      Video of the exercise.

    • durationinteger

      Typical duration of the exercise in seconds.

    • muscle_groupsarray<StudioTrainingMuscleGroup>

      Primarily trained muscle groups

    • secondary_muscle_groupsarray<StudioTrainingMuscleGroup>

      Secondarily trained muscle groups

    • exercise_typestring

      Category of the exercise, e.g. strength, cardio, mobility, rehab

    • equipmentstring

      Required equipment as free text, e.g. barbell, cable machine, bodyweight

    • execution_notesstring

      Execution cues and safety notes for the member

    • default_setsinteger

      Default prescription proposed when the preset is added to a plan

    • default_repetitionsinteger

      Default number of repetitions.

    • default_rest_secondsinteger

      Default rest time in seconds.

    • content_sourcestring

      One of the CONTENT_SOURCE_* constants

    • content_source_namestring

      Name of the catalogue the entry was seeded from, e.g. wger

    • licensestring

      Licence of the imported content, e.g. CC-BY-SA 4.0

    • license_authorstring

      Author that has to be named to fulfil the licence attribution

    • license_author_urlstring

      Link to the author of the image or video license.

    • review_statusstring

      One of the REVIEW_STATUS_* constants, used to keep generated or imported exercise instructions under human control before they are published

    • reviewed_atstring (date-time)

      Time the exercise was reviewed.

    • reviewed_bystring

      Name of the reviewer.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

  • measured_atstring (date-time)

    Time of the measurement.

  • measurement_typestring

    One of the TYPE_* constants

  • valuenumber (float)

    Measured value.

  • unitstring

    Unit of the measured value.

  • body_sitestring

    Body site for girth measurements, e.g. waist, hip, chest

  • sourcestring

    One of the SOURCE_* constants

  • source_devicestring

    Name of the measuring device or provider, e.g. InBody 970, seca mBCA

  • notesstring

    Notes on the measurement.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

Request
curl --request POST \
  --url https://your-instance.iw-erp.de/api/crm/studio_training/measurement \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "id": 42,
    "training_person_data": {
      "id": 42,
      "weight": 1.5,
      "created": "2026-10-15T09:30:00+02:00",
      "updated": "2026-10-15T09:30:00+02:00",
      "deleted": true
    },
    "preset": {
      "id": 42,
      "name": "Beispiel",
      "description": "Text",
      "content_source_name": "Beispiel",
      "license_author_url": "https://vynst.de",
      "duration": 1
    },
    "measured_at": "2026-10-15T09:30:00+02:00",
    "measurement_type": "string",
    "value": 1.5
  }
}
'
Response 200 application/json
{
  "id": 42,
  "training_person_data": {
    "id": 42,
    "person": {
      "id": 42,
      "first_name": "Lena",
      "last_name": "Hartmann",
      "title": "Beispiel",
      "language": "de",
      "support_description": "Text",
      "profile_picture_url": "https://vynst.de",
      "address_street": "Jakobistr. 39",
      "address_city": "Hannover",
      "address_zip": "30163"
    },
    "personal_trainer": {
      "id": 42,
      "first_name": "Lena",
      "last_name": "Hartmann",
      "title": "Beispiel",
      "language": "de",
      "support_description": "Text",
      "profile_picture_url": "https://vynst.de",
      "address_street": "Jakobistr. 39",
      "address_city": "Hannover",
      "address_zip": "30163"
    },
    "weight": 1.5,
    "created": "2026-10-15T09:30:00+02:00",
    "updated": "2026-10-15T09:30:00+02:00",
    "deleted": true
  },
  "preset": {
    "id": 42,
    "name": "Beispiel",
    "description": "Text",
    "content_source_name": "Beispiel",
    "license_author_url": "https://vynst.de",
    "image": {
      "id": 42,
      "ocr_from_name": "Beispiel",
      "ocr_from_email": "lena.hartmann@example.org",
      "ocr_from_phone": "+49 511 123456",
      "ocr_to_name": "Beispiel",
      "ocr_to_email": "lena.hartmann@example.org",
      "ocr_to_phone": "+49 511 123456",
      "filename": "string",
      "filesize": "string",
      "mimetype": "string"
    },
    "video": {
      "id": 42,
      "ocr_from_name": "Beispiel",
      "ocr_from_email": "lena.hartmann@example.org",
      "ocr_from_phone": "+49 511 123456",
      "ocr_to_name": "Beispiel",
      "ocr_to_email": "lena.hartmann@example.org",
      "ocr_to_phone": "+49 511 123456",
      "filename": "string",
      "filesize": "string",
      "mimetype": "string"
    },
    "duration": 1,
    "exercise_type": "string",
    "equipment": "string"
  },
  "measured_at": "2026-10-15T09:30:00+02:00",
  "measurement_type": "string",
  "value": 1.5,
  "unit": "string",
  "body_site": "string",
  "source": "string",
  "source_device": "string"
}

Returns a single StudioTrainingMeasurement

GET/api/crm/studio_training/measurement/{identifier}

Path parameters

identifierrequiredstring

Responses

200Returns a single StudioTrainingMeasurementStudioTrainingMeasurement

Show fields (14)
  • idinteger

    Primary key of the training measurement. Internal ID.

  • training_person_dataStudioTrainingPersonData2

    Training data of the person measured.

    Show fields (7)
    • idinteger

      Primary key of the training person data. Internal ID.

    • personCRMPerson10

      Person the training data belongs to.

    • personal_trainerCRMPerson10

      Personal trainer of the person.

    • weightnumber (float)

      Body weight of the person.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

  • presetStudioTrainingPreset

    Preset the measurement belongs to, used for strength test values

    Show fields (25)
    • idinteger

      Primary key of the training preset. Internal ID.

    • namestring

      Name of the exercise.

    • descriptionstring

      Description of the exercise.

    • imageAttachment10

      Image of the exercise.

    • videoAttachment10

      Video of the exercise.

    • durationinteger

      Typical duration of the exercise in seconds.

    • muscle_groupsarray<StudioTrainingMuscleGroup>

      Primarily trained muscle groups

    • secondary_muscle_groupsarray<StudioTrainingMuscleGroup>

      Secondarily trained muscle groups

    • exercise_typestring

      Category of the exercise, e.g. strength, cardio, mobility, rehab

    • equipmentstring

      Required equipment as free text, e.g. barbell, cable machine, bodyweight

    • execution_notesstring

      Execution cues and safety notes for the member

    • default_setsinteger

      Default prescription proposed when the preset is added to a plan

    • default_repetitionsinteger

      Default number of repetitions.

    • default_rest_secondsinteger

      Default rest time in seconds.

    • content_sourcestring

      One of the CONTENT_SOURCE_* constants

    • content_source_namestring

      Name of the catalogue the entry was seeded from, e.g. wger

    • licensestring

      Licence of the imported content, e.g. CC-BY-SA 4.0

    • license_authorstring

      Author that has to be named to fulfil the licence attribution

    • license_author_urlstring

      Link to the author of the image or video license.

    • review_statusstring

      One of the REVIEW_STATUS_* constants, used to keep generated or imported exercise instructions under human control before they are published

    • reviewed_atstring (date-time)

      Time the exercise was reviewed.

    • reviewed_bystring

      Name of the reviewer.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

  • measured_atstring (date-time)

    Time of the measurement.

  • measurement_typestring

    One of the TYPE_* constants

  • valuenumber (float)

    Measured value.

  • unitstring

    Unit of the measured value.

  • body_sitestring

    Body site for girth measurements, e.g. waist, hip, chest

  • sourcestring

    One of the SOURCE_* constants

  • source_devicestring

    Name of the measuring device or provider, e.g. InBody 970, seca mBCA

  • notesstring

    Notes on the measurement.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/crm/studio_training/measurement/42 \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
{
  "id": 42,
  "training_person_data": {
    "id": 42,
    "person": {
      "id": 42,
      "first_name": "Lena",
      "last_name": "Hartmann",
      "title": "Beispiel",
      "language": "de",
      "support_description": "Text",
      "profile_picture_url": "https://vynst.de",
      "address_street": "Jakobistr. 39",
      "address_city": "Hannover",
      "address_zip": "30163"
    },
    "personal_trainer": {
      "id": 42,
      "first_name": "Lena",
      "last_name": "Hartmann",
      "title": "Beispiel",
      "language": "de",
      "support_description": "Text",
      "profile_picture_url": "https://vynst.de",
      "address_street": "Jakobistr. 39",
      "address_city": "Hannover",
      "address_zip": "30163"
    },
    "weight": 1.5,
    "created": "2026-10-15T09:30:00+02:00",
    "updated": "2026-10-15T09:30:00+02:00",
    "deleted": true
  },
  "preset": {
    "id": 42,
    "name": "Beispiel",
    "description": "Text",
    "content_source_name": "Beispiel",
    "license_author_url": "https://vynst.de",
    "image": {
      "id": 42,
      "ocr_from_name": "Beispiel",
      "ocr_from_email": "lena.hartmann@example.org",
      "ocr_from_phone": "+49 511 123456",
      "ocr_to_name": "Beispiel",
      "ocr_to_email": "lena.hartmann@example.org",
      "ocr_to_phone": "+49 511 123456",
      "filename": "string",
      "filesize": "string",
      "mimetype": "string"
    },
    "video": {
      "id": 42,
      "ocr_from_name": "Beispiel",
      "ocr_from_email": "lena.hartmann@example.org",
      "ocr_from_phone": "+49 511 123456",
      "ocr_to_name": "Beispiel",
      "ocr_to_email": "lena.hartmann@example.org",
      "ocr_to_phone": "+49 511 123456",
      "filename": "string",
      "filesize": "string",
      "mimetype": "string"
    },
    "duration": 1,
    "exercise_type": "string",
    "equipment": "string"
  },
  "measured_at": "2026-10-15T09:30:00+02:00",
  "measurement_type": "string",
  "value": 1.5,
  "unit": "string",
  "body_site": "string",
  "source": "string",
  "source_device": "string"
}

Update a single StudioTrainingMeasurement

PUT/api/crm/studio_training/measurement/{identifier}

Path parameters

identifierrequiredstring

Request body application/json

  • dataStudioTrainingMeasurement
    Show fields (14)
    • idinteger

      Primary key of the training measurement. Internal ID.

    • training_person_dataStudioTrainingPersonData2

      Training data of the person measured.

    • presetStudioTrainingPreset

      Preset the measurement belongs to, used for strength test values

    • measured_atstring (date-time)

      Time of the measurement.

    • measurement_typestring

      One of the TYPE_* constants

    • valuenumber (float)

      Measured value.

    • unitstring

      Unit of the measured value.

    • body_sitestring

      Body site for girth measurements, e.g. waist, hip, chest

    • sourcestring

      One of the SOURCE_* constants

    • source_devicestring

      Name of the measuring device or provider, e.g. InBody 970, seca mBCA

    • notesstring

      Notes on the measurement.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

Responses

200Update a single StudioTrainingMeasurementStudioTrainingMeasurement

Show fields (14)
  • idinteger

    Primary key of the training measurement. Internal ID.

  • training_person_dataStudioTrainingPersonData2

    Training data of the person measured.

    Show fields (7)
    • idinteger

      Primary key of the training person data. Internal ID.

    • personCRMPerson10

      Person the training data belongs to.

    • personal_trainerCRMPerson10

      Personal trainer of the person.

    • weightnumber (float)

      Body weight of the person.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

  • presetStudioTrainingPreset

    Preset the measurement belongs to, used for strength test values

    Show fields (25)
    • idinteger

      Primary key of the training preset. Internal ID.

    • namestring

      Name of the exercise.

    • descriptionstring

      Description of the exercise.

    • imageAttachment10

      Image of the exercise.

    • videoAttachment10

      Video of the exercise.

    • durationinteger

      Typical duration of the exercise in seconds.

    • muscle_groupsarray<StudioTrainingMuscleGroup>

      Primarily trained muscle groups

    • secondary_muscle_groupsarray<StudioTrainingMuscleGroup>

      Secondarily trained muscle groups

    • exercise_typestring

      Category of the exercise, e.g. strength, cardio, mobility, rehab

    • equipmentstring

      Required equipment as free text, e.g. barbell, cable machine, bodyweight

    • execution_notesstring

      Execution cues and safety notes for the member

    • default_setsinteger

      Default prescription proposed when the preset is added to a plan

    • default_repetitionsinteger

      Default number of repetitions.

    • default_rest_secondsinteger

      Default rest time in seconds.

    • content_sourcestring

      One of the CONTENT_SOURCE_* constants

    • content_source_namestring

      Name of the catalogue the entry was seeded from, e.g. wger

    • licensestring

      Licence of the imported content, e.g. CC-BY-SA 4.0

    • license_authorstring

      Author that has to be named to fulfil the licence attribution

    • license_author_urlstring

      Link to the author of the image or video license.

    • review_statusstring

      One of the REVIEW_STATUS_* constants, used to keep generated or imported exercise instructions under human control before they are published

    • reviewed_atstring (date-time)

      Time the exercise was reviewed.

    • reviewed_bystring

      Name of the reviewer.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

  • measured_atstring (date-time)

    Time of the measurement.

  • measurement_typestring

    One of the TYPE_* constants

  • valuenumber (float)

    Measured value.

  • unitstring

    Unit of the measured value.

  • body_sitestring

    Body site for girth measurements, e.g. waist, hip, chest

  • sourcestring

    One of the SOURCE_* constants

  • source_devicestring

    Name of the measuring device or provider, e.g. InBody 970, seca mBCA

  • notesstring

    Notes on the measurement.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

Request
curl --request PUT \
  --url https://your-instance.iw-erp.de/api/crm/studio_training/measurement/42 \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "id": 42,
    "training_person_data": {
      "id": 42,
      "weight": 1.5,
      "created": "2026-10-15T09:30:00+02:00",
      "updated": "2026-10-15T09:30:00+02:00",
      "deleted": true
    },
    "preset": {
      "id": 42,
      "name": "Beispiel",
      "description": "Text",
      "content_source_name": "Beispiel",
      "license_author_url": "https://vynst.de",
      "duration": 1
    },
    "measured_at": "2026-10-15T09:30:00+02:00",
    "measurement_type": "string",
    "value": 1.5
  }
}
'
Response 200 application/json
{
  "id": 42,
  "training_person_data": {
    "id": 42,
    "person": {
      "id": 42,
      "first_name": "Lena",
      "last_name": "Hartmann",
      "title": "Beispiel",
      "language": "de",
      "support_description": "Text",
      "profile_picture_url": "https://vynst.de",
      "address_street": "Jakobistr. 39",
      "address_city": "Hannover",
      "address_zip": "30163"
    },
    "personal_trainer": {
      "id": 42,
      "first_name": "Lena",
      "last_name": "Hartmann",
      "title": "Beispiel",
      "language": "de",
      "support_description": "Text",
      "profile_picture_url": "https://vynst.de",
      "address_street": "Jakobistr. 39",
      "address_city": "Hannover",
      "address_zip": "30163"
    },
    "weight": 1.5,
    "created": "2026-10-15T09:30:00+02:00",
    "updated": "2026-10-15T09:30:00+02:00",
    "deleted": true
  },
  "preset": {
    "id": 42,
    "name": "Beispiel",
    "description": "Text",
    "content_source_name": "Beispiel",
    "license_author_url": "https://vynst.de",
    "image": {
      "id": 42,
      "ocr_from_name": "Beispiel",
      "ocr_from_email": "lena.hartmann@example.org",
      "ocr_from_phone": "+49 511 123456",
      "ocr_to_name": "Beispiel",
      "ocr_to_email": "lena.hartmann@example.org",
      "ocr_to_phone": "+49 511 123456",
      "filename": "string",
      "filesize": "string",
      "mimetype": "string"
    },
    "video": {
      "id": 42,
      "ocr_from_name": "Beispiel",
      "ocr_from_email": "lena.hartmann@example.org",
      "ocr_from_phone": "+49 511 123456",
      "ocr_to_name": "Beispiel",
      "ocr_to_email": "lena.hartmann@example.org",
      "ocr_to_phone": "+49 511 123456",
      "filename": "string",
      "filesize": "string",
      "mimetype": "string"
    },
    "duration": 1,
    "exercise_type": "string",
    "equipment": "string"
  },
  "measured_at": "2026-10-15T09:30:00+02:00",
  "measurement_type": "string",
  "value": 1.5,
  "unit": "string",
  "body_site": "string",
  "source": "string",
  "source_device": "string"
}

Update a single StudioTrainingMeasurement

PATCH/api/crm/studio_training/measurement/{identifier}

Path parameters

identifierrequiredstring

Request body application/json

  • dataStudioTrainingMeasurement
    Show fields (14)
    • idinteger

      Primary key of the training measurement. Internal ID.

    • training_person_dataStudioTrainingPersonData2

      Training data of the person measured.

    • presetStudioTrainingPreset

      Preset the measurement belongs to, used for strength test values

    • measured_atstring (date-time)

      Time of the measurement.

    • measurement_typestring

      One of the TYPE_* constants

    • valuenumber (float)

      Measured value.

    • unitstring

      Unit of the measured value.

    • body_sitestring

      Body site for girth measurements, e.g. waist, hip, chest

    • sourcestring

      One of the SOURCE_* constants

    • source_devicestring

      Name of the measuring device or provider, e.g. InBody 970, seca mBCA

    • notesstring

      Notes on the measurement.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

Responses

200Update a single StudioTrainingMeasurementStudioTrainingMeasurement

Show fields (14)
  • idinteger

    Primary key of the training measurement. Internal ID.

  • training_person_dataStudioTrainingPersonData2

    Training data of the person measured.

    Show fields (7)
    • idinteger

      Primary key of the training person data. Internal ID.

    • personCRMPerson10

      Person the training data belongs to.

    • personal_trainerCRMPerson10

      Personal trainer of the person.

    • weightnumber (float)

      Body weight of the person.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

  • presetStudioTrainingPreset

    Preset the measurement belongs to, used for strength test values

    Show fields (25)
    • idinteger

      Primary key of the training preset. Internal ID.

    • namestring

      Name of the exercise.

    • descriptionstring

      Description of the exercise.

    • imageAttachment10

      Image of the exercise.

    • videoAttachment10

      Video of the exercise.

    • durationinteger

      Typical duration of the exercise in seconds.

    • muscle_groupsarray<StudioTrainingMuscleGroup>

      Primarily trained muscle groups

    • secondary_muscle_groupsarray<StudioTrainingMuscleGroup>

      Secondarily trained muscle groups

    • exercise_typestring

      Category of the exercise, e.g. strength, cardio, mobility, rehab

    • equipmentstring

      Required equipment as free text, e.g. barbell, cable machine, bodyweight

    • execution_notesstring

      Execution cues and safety notes for the member

    • default_setsinteger

      Default prescription proposed when the preset is added to a plan

    • default_repetitionsinteger

      Default number of repetitions.

    • default_rest_secondsinteger

      Default rest time in seconds.

    • content_sourcestring

      One of the CONTENT_SOURCE_* constants

    • content_source_namestring

      Name of the catalogue the entry was seeded from, e.g. wger

    • licensestring

      Licence of the imported content, e.g. CC-BY-SA 4.0

    • license_authorstring

      Author that has to be named to fulfil the licence attribution

    • license_author_urlstring

      Link to the author of the image or video license.

    • review_statusstring

      One of the REVIEW_STATUS_* constants, used to keep generated or imported exercise instructions under human control before they are published

    • reviewed_atstring (date-time)

      Time the exercise was reviewed.

    • reviewed_bystring

      Name of the reviewer.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

  • measured_atstring (date-time)

    Time of the measurement.

  • measurement_typestring

    One of the TYPE_* constants

  • valuenumber (float)

    Measured value.

  • unitstring

    Unit of the measured value.

  • body_sitestring

    Body site for girth measurements, e.g. waist, hip, chest

  • sourcestring

    One of the SOURCE_* constants

  • source_devicestring

    Name of the measuring device or provider, e.g. InBody 970, seca mBCA

  • notesstring

    Notes on the measurement.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

Request
curl --request PATCH \
  --url https://your-instance.iw-erp.de/api/crm/studio_training/measurement/42 \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "id": 42,
    "training_person_data": {
      "id": 42,
      "weight": 1.5,
      "created": "2026-10-15T09:30:00+02:00",
      "updated": "2026-10-15T09:30:00+02:00",
      "deleted": true
    },
    "preset": {
      "id": 42,
      "name": "Beispiel",
      "description": "Text",
      "content_source_name": "Beispiel",
      "license_author_url": "https://vynst.de",
      "duration": 1
    },
    "measured_at": "2026-10-15T09:30:00+02:00",
    "measurement_type": "string",
    "value": 1.5
  }
}
'
Response 200 application/json
{
  "id": 42,
  "training_person_data": {
    "id": 42,
    "person": {
      "id": 42,
      "first_name": "Lena",
      "last_name": "Hartmann",
      "title": "Beispiel",
      "language": "de",
      "support_description": "Text",
      "profile_picture_url": "https://vynst.de",
      "address_street": "Jakobistr. 39",
      "address_city": "Hannover",
      "address_zip": "30163"
    },
    "personal_trainer": {
      "id": 42,
      "first_name": "Lena",
      "last_name": "Hartmann",
      "title": "Beispiel",
      "language": "de",
      "support_description": "Text",
      "profile_picture_url": "https://vynst.de",
      "address_street": "Jakobistr. 39",
      "address_city": "Hannover",
      "address_zip": "30163"
    },
    "weight": 1.5,
    "created": "2026-10-15T09:30:00+02:00",
    "updated": "2026-10-15T09:30:00+02:00",
    "deleted": true
  },
  "preset": {
    "id": 42,
    "name": "Beispiel",
    "description": "Text",
    "content_source_name": "Beispiel",
    "license_author_url": "https://vynst.de",
    "image": {
      "id": 42,
      "ocr_from_name": "Beispiel",
      "ocr_from_email": "lena.hartmann@example.org",
      "ocr_from_phone": "+49 511 123456",
      "ocr_to_name": "Beispiel",
      "ocr_to_email": "lena.hartmann@example.org",
      "ocr_to_phone": "+49 511 123456",
      "filename": "string",
      "filesize": "string",
      "mimetype": "string"
    },
    "video": {
      "id": 42,
      "ocr_from_name": "Beispiel",
      "ocr_from_email": "lena.hartmann@example.org",
      "ocr_from_phone": "+49 511 123456",
      "ocr_to_name": "Beispiel",
      "ocr_to_email": "lena.hartmann@example.org",
      "ocr_to_phone": "+49 511 123456",
      "filename": "string",
      "filesize": "string",
      "mimetype": "string"
    },
    "duration": 1,
    "exercise_type": "string",
    "equipment": "string"
  },
  "measured_at": "2026-10-15T09:30:00+02:00",
  "measurement_type": "string",
  "value": 1.5,
  "unit": "string",
  "body_site": "string",
  "source": "string",
  "source_device": "string"
}

Delete a single StudioTrainingMeasurement (soft delete)

DELETE/api/crm/studio_training/measurement/{identifier}

Path parameters

identifierrequiredstring

Responses

200Delete a single StudioTrainingMeasurementStudioTrainingMeasurement

Show fields (14)
  • idinteger

    Primary key of the training measurement. Internal ID.

  • training_person_dataStudioTrainingPersonData2

    Training data of the person measured.

    Show fields (7)
    • idinteger

      Primary key of the training person data. Internal ID.

    • personCRMPerson10

      Person the training data belongs to.

    • personal_trainerCRMPerson10

      Personal trainer of the person.

    • weightnumber (float)

      Body weight of the person.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

  • presetStudioTrainingPreset

    Preset the measurement belongs to, used for strength test values

    Show fields (25)
    • idinteger

      Primary key of the training preset. Internal ID.

    • namestring

      Name of the exercise.

    • descriptionstring

      Description of the exercise.

    • imageAttachment10

      Image of the exercise.

    • videoAttachment10

      Video of the exercise.

    • durationinteger

      Typical duration of the exercise in seconds.

    • muscle_groupsarray<StudioTrainingMuscleGroup>

      Primarily trained muscle groups

    • secondary_muscle_groupsarray<StudioTrainingMuscleGroup>

      Secondarily trained muscle groups

    • exercise_typestring

      Category of the exercise, e.g. strength, cardio, mobility, rehab

    • equipmentstring

      Required equipment as free text, e.g. barbell, cable machine, bodyweight

    • execution_notesstring

      Execution cues and safety notes for the member

    • default_setsinteger

      Default prescription proposed when the preset is added to a plan

    • default_repetitionsinteger

      Default number of repetitions.

    • default_rest_secondsinteger

      Default rest time in seconds.

    • content_sourcestring

      One of the CONTENT_SOURCE_* constants

    • content_source_namestring

      Name of the catalogue the entry was seeded from, e.g. wger

    • licensestring

      Licence of the imported content, e.g. CC-BY-SA 4.0

    • license_authorstring

      Author that has to be named to fulfil the licence attribution

    • license_author_urlstring

      Link to the author of the image or video license.

    • review_statusstring

      One of the REVIEW_STATUS_* constants, used to keep generated or imported exercise instructions under human control before they are published

    • reviewed_atstring (date-time)

      Time the exercise was reviewed.

    • reviewed_bystring

      Name of the reviewer.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

  • measured_atstring (date-time)

    Time of the measurement.

  • measurement_typestring

    One of the TYPE_* constants

  • valuenumber (float)

    Measured value.

  • unitstring

    Unit of the measured value.

  • body_sitestring

    Body site for girth measurements, e.g. waist, hip, chest

  • sourcestring

    One of the SOURCE_* constants

  • source_devicestring

    Name of the measuring device or provider, e.g. InBody 970, seca mBCA

  • notesstring

    Notes on the measurement.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

Request
curl --request DELETE \
  --url https://your-instance.iw-erp.de/api/crm/studio_training/measurement/42 \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
{
  "id": 42,
  "training_person_data": {
    "id": 42,
    "person": {
      "id": 42,
      "first_name": "Lena",
      "last_name": "Hartmann",
      "title": "Beispiel",
      "language": "de",
      "support_description": "Text",
      "profile_picture_url": "https://vynst.de",
      "address_street": "Jakobistr. 39",
      "address_city": "Hannover",
      "address_zip": "30163"
    },
    "personal_trainer": {
      "id": 42,
      "first_name": "Lena",
      "last_name": "Hartmann",
      "title": "Beispiel",
      "language": "de",
      "support_description": "Text",
      "profile_picture_url": "https://vynst.de",
      "address_street": "Jakobistr. 39",
      "address_city": "Hannover",
      "address_zip": "30163"
    },
    "weight": 1.5,
    "created": "2026-10-15T09:30:00+02:00",
    "updated": "2026-10-15T09:30:00+02:00",
    "deleted": true
  },
  "preset": {
    "id": 42,
    "name": "Beispiel",
    "description": "Text",
    "content_source_name": "Beispiel",
    "license_author_url": "https://vynst.de",
    "image": {
      "id": 42,
      "ocr_from_name": "Beispiel",
      "ocr_from_email": "lena.hartmann@example.org",
      "ocr_from_phone": "+49 511 123456",
      "ocr_to_name": "Beispiel",
      "ocr_to_email": "lena.hartmann@example.org",
      "ocr_to_phone": "+49 511 123456",
      "filename": "string",
      "filesize": "string",
      "mimetype": "string"
    },
    "video": {
      "id": 42,
      "ocr_from_name": "Beispiel",
      "ocr_from_email": "lena.hartmann@example.org",
      "ocr_from_phone": "+49 511 123456",
      "ocr_to_name": "Beispiel",
      "ocr_to_email": "lena.hartmann@example.org",
      "ocr_to_phone": "+49 511 123456",
      "filename": "string",
      "filesize": "string",
      "mimetype": "string"
    },
    "duration": 1,
    "exercise_type": "string",
    "equipment": "string"
  },
  "measured_at": "2026-10-15T09:30:00+02:00",
  "measurement_type": "string",
  "value": 1.5,
  "unit": "string",
  "body_site": "string",
  "source": "string",
  "source_device": "string"
}